Package com.smartgwt.client.widgets.form.fields.events

# Class ShowValueEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<ShowValueHandler>
com.smartgwt.client.widgets.form.fields.events.ShowValueEvent

public class ShowValueEvent extends AbstractSmartEvent<ShowValueHandler>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShowValueEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispatch(ShowValueHandler handler)`
  `static <S extends HasShowValueHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<ShowValueHandler>`
  `getAssociatedType()`
  `Object`
  `getDataValue()`
  underlying data value for the item
  `Record`
  `getDataValueAsRecord()`
  underlying data value for this item as a Record.
  `RecordList`
  `getDataValueAsRecordList()`
  underlying data value for this item as a RecordList
  `Object`
  `getDisplayValue()`
  new display value for the item.
  `FormItem`
  `getFiringItem()`
  Returns the `FormItem` firing the event.
  `DynamicForm`
  `getForm()`
  the dynamicForm in which this item is contained
  `CanvasItem`
  `getItem()`
  the live form item instance
  `static GwtEvent.Type<ShowValueHandler>`
  `getType()`
  Gets the type associated with this event.

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ShowValueEvent

    public ShowValueEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringItem

    public FormItem getFiringItem()
    Returns the `FormItem` firing the event.
    Returns:
      FormItem firing the event

  - ### fire

    public static <S extends HasShowValueHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<ShowValueHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(ShowValueHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<ShowValueHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<ShowValueHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<ShowValueHandler>`

  - ### getDisplayValue

    public Object getDisplayValue()
    new display value for the item. This is the value after applying any custom formatter or valueMap
    Returns:
      new display value for the item. This is the value after applying any custom formatter or valueMap

  - ### getDataValue

    public Object getDataValue()
    underlying data value for the item
    Returns:
      underlying data value for the item

  - ### getForm

    public DynamicForm getForm()
    the dynamicForm in which this item is contained
    Returns:
      the dynamicForm in which this item is contained

  - ### getItem

    public CanvasItem getItem()
    the live form item instance
    Returns:
      the live form item instance

  - ### getDataValueAsRecord

    public Record getDataValueAsRecord()
    underlying data value for this item as a Record.

  - ### getDataValueAsRecordList

    public RecordList getDataValueAsRecordList()
    underlying data value for this item as a RecordList